Content
Work with content items across the intranet.
Note: All endpoints require authentication and an
X-Tenantheader. See Authentication overview and How to get API information. Paths are relative to your intranet's API base URL. An Access line appears where an endpoint needs more than a signed-in user.
Endpoints on this page
GET /api/content/pages-by-person
List pages by persons.
🔒Access — Site admin
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
personId |
query | integer (int32) | Yes | |
authorType |
query | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
Response body
{
"StatusCode": "Continue",
"Items": [
{
"PersonId": 0,
"FullName": "string",
"AssetId": 0,
"ContentResult": [
{
"ContentId": 0,
"Authored": 0,
"Title": "string",
"Active": 0,
"StartDate": "2024-01-01T00:00:00Z",
"ExpiryDate": "2024-01-01T00:00:00Z",
"Category": "string"
}
]
}
],
"ErrorMessages": [
"string"
],
"HasErrors": true,
"IsSuccessStatusCode": true
}| Field | Type |
|---|---|
StatusCode | string |
Items | array of object |
ErrorMessages | array of string |
HasErrors | boolean |
IsSuccessStatusCode | boolean |
GET /api/content/{objectId}/recommended-content
List recommended contents.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
objectId |
path | integer (int32) | Yes | |
type |
query | integer (int32) | No | |
offset |
query | integer (int32) | No | |
limit |
query | integer (int32) | No | |
languageCode |
query | string | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 500 |
Response body
[
{
"Id": "string",
"Title": "string",
"Type": "string",
"Avatar": "string",
"AuthorId": 0,
"Author": "string",
"AuthorType": 0,
"DateValue": "2024-01-01T00:00:00Z",
"Date": "string",
"Url": "string",
"Summary": "string",
"Entity": "string",
"AuthorAssetId": "string",
"LikeCount": 0,
"CommentCount": 0,
"IsPlaceholder": true,
"SocialAdvocacyItem": true
}
]| Field | Type |
|---|---|
Id | string |
Title | string |
Type | string |
Avatar | string |
AuthorId | integer (int32) |
Author | string |
AuthorType | integer (int32) |
DateValue | string (date-time) |
Date | string |
Url | string |
Summary | string |
Entity | string |
AuthorAssetId | string |
LikeCount | integer (int32) |
CommentCount | integer (int32) |
IsPlaceholder | boolean |
SocialAdvocacyItem | boolean |
Section: REST API